% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mlmetrics.R
\name{accuracy}
\alias{accuracy}
\title{accuracy}
\usage{
accuracy(y_pred, y_true)
}
\arguments{
\item{y_pred}{Predicted labels vector, as returned by a classifier}

\item{y_true}{Ground truth (correct) 0-1 labels vector}
}
\value{
accuracy
}
\description{
Compute the accuracy classification score.
}
\examples{
data(cars)
logreg <- glm(formula = vs ~ hp + wt,
              family = binomial(link = "logit"), data = mtcars)
pred <- ifelse(logreg$fitted.values < 0.5, 0, 1)
accuracy(y_pred = pred, y_true = mtcars$vs)
}
