% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/anova.R
\name{anovaParallel}
\alias{anovaParallel}
\title{Perform ANOVA on Multiple glmmTMB Models in Parallel}
\usage{
anovaParallel(list_tmb, ...)
}
\arguments{
\item{list_tmb}{A list of \code{glmmTMB} models, with model names corresponding to the groups.}

\item{...}{Additional arguments passed to \code{\link[stats]{anova}} function.}
}
\value{
A list of ANOVA results for each group.
}
\description{
This function performs analysis of variance (ANOVA) on a list of \code{glmmTMB}
models in parallel for different groups specified in the list. It returns a list
of ANOVA results for each group.
}
\examples{
# Perform ANOVA
data(iris)
list_tmb<- fitModelParallel( Sepal.Length ~ Sepal.Width  + Petal.Length, 
                         data = iris, group_by = "Species", n.cores = 1 )
anov_res <- anovaParallel(list_tmb , type = "III")
}
