% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/actual_interactionfixeffects.R
\name{calculate_actual_interactionX3_values}
\alias{calculate_actual_interactionX3_values}
\title{Calculate Actual Interaction Values for Three Fixed Effects}
\usage{
calculate_actual_interactionX3_values(
  data,
  l_reference,
  clmn_term_1,
  lbl_term_1,
  clmn_term_2,
  lbl_term_2,
  lbl_term_3,
  clmn_term_3
)
}
\arguments{
\item{data}{The dataset on which to calculate interaction values.}

\item{l_reference}{A list of reference values for categorical variables.}

\item{clmn_term_1}{The name of the first categorical variable.}

\item{lbl_term_1}{The label for the first categorical variable.}

\item{clmn_term_2}{The name of the second categorical variable.}

\item{lbl_term_2}{The label for the second categorical variable.}

\item{lbl_term_3}{The label for the third categorical variable.}

\item{clmn_term_3}{The name of the third categorical variable.}
}
\value{
The computed actual interaction values.
}
\description{
This function calculates actual interaction values for three fixed effects in a dataset. It takes the data, reference values for categorical variables, and the specifications for the fixed effects. The function computes the interaction values and returns the result.
}
