% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/actual_interactionfixeffects.R
\name{getActualInteractionFixEff}
\alias{getActualInteractionFixEff}
\title{Get the actual interaction values for a given interaction term in the data.}
\usage{
getActualInteractionFixEff(labelsInInteraction, data, categorical_vars)
}
\arguments{
\item{labelsInInteraction}{A character vector containing the labels of the categorical levels
involved in the interaction.}

\item{data}{The dataset containing the gene expression data and categorical variables.}

\item{categorical_vars}{A character vector containing the names of the categorical variables in
the dataset.}
}
\value{
A data frame containing the actual interaction values.
}
\description{
This function takes an interaction term, the dataset, and the names of the categorical variables
as inputs. It calculates the actual interaction values based on the difference in log-transformed
mean expression levels for the specified interaction term. The function first prepares the data for
computing the interaction values and then generates the actual interaction values.
}
