% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulation.R
\name{getMu_ij}
\alias{getMu_ij}
\title{Calculate mu_ij values based on coefficient data frame and scaling factor}
\usage{
getMu_ij(dtf_coef)
}
\arguments{
\item{dtf_coef}{Coefficient data frame containing the log_qij values}
}
\value{
Coefficient data frame with an additional mu_ij column
}
\description{
This function calculates mu_ij values by raising 2 to the power of the log_qij values
from the coefficient data frame and multiplying it by the provided scaling factor.
}
\examples{
list_var <- init_variable()
dtf_coef <- getInput2simulation(list_var, 10)
dtf_coef <- getLog_qij(dtf_coef)
dtf_coef <- addBasalExpression(dtf_coef, 10, c(10, 20, 0))
getMu_ij(dtf_coef)
}
