% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/setcorrelation.R
\name{getStandardDeviationInCorrelation}
\alias{getStandardDeviationInCorrelation}
\title{Get Standard Deviations for Variables in Correlation}
\usage{
getStandardDeviationInCorrelation(list_var, between_var)
}
\arguments{
\item{list_var}{A list containing the variables and their attributes.}

\item{between_var}{A character vector containing the names of the variables involved in the correlation.}
}
\value{
A numeric vector containing the standard deviations for the variables in the correlation.
}
\description{
This function extracts the standard deviations for the variables involved in the correlation.
}
\examples{
list_var <- init_variable(name = "varA", mu = 0, sd = 5, level = 3) \%>\%
         init_variable(name = "varB", mu = 0, sd = 25, level = 3)
between_var <- c("varA", "varB")
getStandardDeviationInCorrelation(list_var, between_var)
}
