% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/receiver_operating_characteristic.R
\name{get_roc_object}
\alias{get_roc_object}
\title{Gets ROC objects for a given parameter.}
\usage{
get_roc_object(
  evaldata_params,
  col_param = "description",
  col_truth = "isDE",
  col_score = "p.adj"
)
}
\arguments{
\item{evaldata_params}{Data table containing evaluation parameters.}

\item{col_param}{Column name specifying the parameter for grouping.}

\item{col_truth}{Column name for binary ground truth values.}

\item{col_score}{Column name for predicted scores.}
}
\value{
A list containing ROC curves and AUCs for each group and an aggregate ROC curve and AUC.
}
\description{
This function takes a data table of evaluation parameters and returns ROC curves for each term
and an aggregate ROC curve along with corresponding AUC values.
}
