% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/sequencing_depth_scaling.R
\name{scaleCountsTable}
\alias{scaleCountsTable}
\title{Scale Counts Table}
\usage{
scaleCountsTable(countsTable, seq_depth)
}
\arguments{
\item{countsTable}{A counts table containing raw read counts.}

\item{seq_depth}{sequencing depth vector}
}
\value{
A scaled counts table.
}
\description{
This function scales a counts table based on the expected sequencing depth per sample.
}
\examples{
mock_data <- list(counts = matrix(c(10, 20, 30, 20, 30, 10, 10, 20, 20, 20, 30, 10), ncol = 4))
scaled_counts <- scaleCountsTable(countsTable = mock_data$counts, 1000000)

}
