% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_metrics.R
\name{subset_glance}
\alias{subset_glance}
\title{Subset the glance DataFrame based on selected variables.}
\usage{
subset_glance(glance_df, focus)
}
\arguments{
\item{glance_df}{The glance DataFrame to subset.}

\item{focus}{A character vector of variable names to keep, including "AIC", "BIC", "logLik", "deviance",
"df.resid", and "dispersion".}
}
\value{
A subsetted glance DataFrame with only the selected variables.
}
\description{
This function subsets the glance DataFrame to keep only the specified variables.
}
\examples{
data(iris)
models <-  fitModelParallel(Sepal.Length ~ Sepal.Width + Petal.Length, 
                       group_by = "Species",n.cores = 1, data = iris)
glance_df <- glance_tmb(models)
glance_df$group_id <- rownames(glance_df)
subset_glance(glance_df, c("AIC", "BIC"))
}
